################# Available configuration parameters #################
# Arguments.java resolves arguments in this order by default:
# - command line arguments: `java -jar ... --threads=2`
# - otherwise, jvm properties: `java -Dplanetiler.threads=2 -jar ...`
# - otherwise, environmental variables: `PLANETILER_THREADS=2 java -jar ...`
# - otherwise, from a config file that the "config" argument points to: `java -jar ... --config=config-example.properties`
# Syntax for java properties files: https://en.wikipedia.org/wiki/.properties

################# Common Planetiler config #################
# Automatically download source data (download=true continues, only_download exits after downloading):
# download=true
# only_download=true

# To override request parameters when downloading resources:
# http_user_agent=Planetiler downloader (https://github.com/onthegomap/planetiler)
# http_timeout=10s
# download_threads=10
# download_chunk_size=1000

# Map bounds are inferred from OSM input file bounds, but to override use:
# bounds=W,S,E,N
# or for the entire planet (-180,-85.05113,180,85.05113):
# bounds=world

# minzoom=0
# maxzoom=14

# Planetiler uses all available cores by default, but to override use:
# threads=4

# Change how often to log progress messages:
# loginterval=1m

# Send stats to a prometheus push gateway:
# pushgateway=https://user:password@ip
# "job" tag to include in every push to prometheus (to separate multiple planetiler instances):
# pushgateway.job=planetiler
# pushgateway.interval=15s

# Override the output location for mbtiles file:
# mbtiles=data/output.mbtiles
# Set the location where temporary files are stored (node map or intermediate features)
# tmpdir=data/tmp
# Always delete output file before starting:
# force=true

# Override the location on disk that a source is read from
# <sourcename>_path=path/to/source
# Override the location on disk that a source is downloaded from (if not found on disk)
# <sourcename>_url=http://url/of/source

# When processing an OSM file, we need to store locations of each node then look up the
# location when processing a way that references node IDs.  There are 2 implementations:
# "sortedtable" which stores sorted node IDs and locations and does a binary search on each
# lookup (16 bytes per node - best for extracts smaller than 20GB) and "sparsearray" which
# stores locations indexed by node ID (8 bytes per node, but wastes some space - best for the
# entire planet)
# nodemap_type=sortedtable

# Whether to store the node map in memory ("ram") or in a memory-mapped file on disk ("mmap")
# If you have more memory than node storage needs, performance difference is negligible.
# If you have less memory, "mmap" is your only option, but it will be much slower.
# If your profile uses only a small subset of nodes, "mmap" might be fine
# For processing the planet, "ram" is recommended with jvm -Xmx set to at least 1.5x the input OSM file size.
# nodemap_storage=mmap

# To override the default minimum length/area of features to emit (profile might override these)
# in tile pixel coordinates (each tile is 256x256 pixels)
# min_feature_size_at_max_zoom=0.0625
# min_feature_size=1.0

# Override the default tolerance to use when simplifying rendered tile features (profile might override these)
# simplify_tolerance_at_max_zoom=0.0625
# simplify_tolerance=0.1

# Override default values set by the profile for attributes in the mbtiles output file "metadata" table
# mbtiles_name=OpenMapTiles
# mbtiles_description=A tileset showcasing all layers in OpenMapTiles. https://openmaptiles.org
# mbtiles_attribution=<a href="https://www.openstreetmap.org/copyright" target="_blank">&copy; OpenStreetMap contributors</a>
# mbtiles_version=0.1
# mbtiles_type=baselayer OR overlay

################# OpenMapTiles profile config #################

# Set the input file name and automatically determine the https://download.geofabrik.de/ download URL for a region by name:
# area=monaco
# area=australia
# area=massachusetts

# Limit to only a subset of layers:
# only_layers=poi,place

# Exclude certain layers:
# exclude_layers=housenumber

# Enable/disable using name translations from wikidata:
# use_wikidata=true

# Automatically download wikidata name translations first (fetch_wikidata=true continues, only_fetch_wikidata exits after downloading):
# fetch_wikidata=true
# only_fetch_wikidata=false

# Where to store/read downloaded wikidata name translations:
# wikidata_cache=path/to/wikidata_names.json

# Limit the name translation languages emitted (from OSM tags or wikidata):
# languages=en,ru,ar,zh,ja,ko,fr,de,fi,pl,es,be,br,he

# Disable falling back to (expensive) transliteration to get name:latin when only nonlatin names are found:
# transliterate=false

# Override input source locations, or URLs to download them from
# lake_centerlines_path=path/to/lake_centerline.shp.zip
# lake_centerlines_url=https://url/for/lake_centerline.shp.zip
# water_polygons_path=path/to/water-polygons-split-3857.zip
# water_polygons_url=https://url/for/water-polygons-split-3857.zip
# natural_earth_path=path/to/natural_earth_vector.sqlite.zip
# natural_earth_url=https://url/for/natural_earth_vector.sqlite.zip
# osm_path=path/to/monaco.osm.pbf
# osm_url=https://url/for/monaco.osm.pbf

# To delete an input file before writing the output file (and reduce peak disk requirements):
# free_osm_after_read: true
# free_natural_earth_after_read: true

#### Layer-specific overrides:

#### "boundary" layer
# Disable computing adm0_r/adm0_l country boundary names:
# boundary_country_names=false

#### "transportation"/"transportation_name" layer
# Set minimum zoom for paths and path names to z14 (default is 13)
# transportation_z13_paths=false

# We attempt to merge any road name lines with the same attributes and touching endpoints,
# but any 3-way nodes and intersections prevent line merging.
# To prevent merging from combining onramps/offramps or opposite directions of divided highways, set:
# transportation_name_limit_merge=true

# By default, the "brunnel" attribute is excluded from from road name line features so that tunnels
# and bridges don't prevent merging. To include "brunnel" tag:
# transportation_name_brunnel=true

# To set a shorter length limit for road name lines so you can render a shield, but not the full name:
# transportation_name_size_for_shield=true

# Limit road name line merging to attempt to generate longer road name lines so clients can
# more easily render road names at lower zoom levels.
# transportation_name_limit_merge=true

#### "building" layer
# At z13, by default, buildings that are overlapping or almost touching get merged
# so that entire city blocks show up as a single building polygon.
# This is very expensive and adds about 50% to the total map generation time.
# To disable it, set:
# building_merge_z13=false
